# WooCommerce Wallet Management
**Contributors**: `Dev Diggers`

**Tags**: wallet, woocommerce wallet management, all in one wallet, wallet withdraw, wallet send receive, account funds, credit account, digital wallet, e-wallet, woocommerce deposit, rewards, cashbacks, electronic wallet, virtual money

**WordPress**
  * `Requires at least: 5.0.0`
  * `Tested up to: 6.0.x`

**WooCommerce**
  * `Requires at least: 5.0.0`
  * `Tested up to: 6.7.x`

## Description

**WooCommerce Wallet Management** module allows customers to use virtual money on the store with lots of other features like send, request, or withdraw wallet money. The customers won't have to fill the payment details every time. They can simply login and pay for products using the wallet money. The customers will also get the advantage of earning cashback on the basis of cart, topup & product.

## Features
```
* Admin can Enable/Disable the module functionality for the customers.
* Admin can set the Min top-up limit for the wallet.
* Admin can set the Max top-up limit for the wallet.
* Admin can set the debit limit type either fixed or percentage for the wallet.
* Admin can set the Min debit limit for the wallet during the purchase.
* Admin can set the Max debit limit for the wallet during the purchase.
* Admin can set the Min transfer limit for the wallet during sending/requesting money.
* Admin can set the Max transfer limit for the wallet during sending/requesting money.
* Admin can set the registration credits in the wallet for new customers.
* Admin can set the wallet topup default order status.
* Admin can enable the payment gateways for the wallet topup.
* Admin can enable/disable the wallet partial payments.
* Admin can enable/disable the OTP verification functionality for chosen wallet operations at the customer end.
* Admin can set the OTP expiry time for customers.
* Admin can set the OTP digits length for customers.
* Admin can enable/disable the wallet withdrawal functionality at the customer end.
* Admin can set the withdrawal charges for customers either fixed or percentage.
* Admin can set the Min withdrawal limit for the wallet during withdrawing money.
* Admin can set the Max withdrawal limit for the wallet during withdrawing money.
* Admin can enable/disable the wallet referral functionality at the customer end.
* Admin can set the earning amount which both customers and new users can earn on successful registration.
* Admin can set the default email content which will gonna send to new users on refer.
* Customers can also change the refer email content at their end.
* Admin can set the my accounts page menu endpoint.
* Admin can set the my accounts page menu endpoint title.
* Admin can enable/disable the sidebar widgets on my accounts page menu.
* Shortcodes can be dynamically used for the wallet.
* Admin can view the list of users and their wallet balance.
* Admin can export users with wallet data into csv.
* Admin can perform bulk credit/debit by importing csv.
* Admin can perform manual credit/debit of wallet balance for the users.
* Admin can view the list of withdrawal requests and can mark them as paid or cancel them.
* Admin can view all the transactions done related to wallets with the various filters.
* Admin can enable/disable the Wallet payment gateway.
* Admin can create various cashback rules for the cart total, product as well as wallet top-up.
* Customers can purchase the products with wallet balance in the store.
* Customers can check their wallet balance.
* Customers can perform several operations with the wallet i.e. send, request, & withdraw money.
* Customers can refer the site to any new user and both will earn the set amount in their wallets.
* OTP verification code will be sent to customer's email and then they need to verify it for wallet operations.
* Fully responsive wallet layout at the customer end.
* Customers can view all the transaction details.
* Customers need to top-up their wallet in order to use Wallet as a payment method.
* Wallet can also be used for partial payments.
* Refunds with wallets are also supported.
* WooCommerce Email templates are added for wallet related mails.
* Multilingual is also supported by the given .pot file.
```

## Installation

1. Upload the `dd-woocommerce-wallet-management` folder to the `/wp-content/plugins/` directory.
2. Activate the plugin through the `Plugins` menu in WordPress.
3. Configure the plugin using the `WooCommerce Wallet` menu.

## Frequently Asked Questions

*No questions asked yet*

**== Feel free to do so. ==**

For any Queries, kindly mail us at [DevDiggers](support@devdiggers.com)

**= 2.5.0 =**
```
Added compatibility with latest WordPress and WooCommerce versions.
Added some new hooks in the core for customization.
Resolved transactions shortcode issue.
Resolved other security issues.
```

**= 2.4.0 =**
```
Added compatibility with latest WordPress and WooCommerce versions.
Added some new hooks in the core for customization.
Added compatibility for the wallet topup with checkout redirection plugins.
Resolved other security issues.
```

**= 2.3.0 =**
```
Added better functionality for the wallet topup process.
Added compatibility with latest WordPress and WooCommerce versions.
Added some new hooks in the core for customization.
Resolved other security issues.
```

**= 2.2.0 =**
```
Added functionality to calculate debit limit on the basis of either fixed or percentage amounts.
Added new shortcode to display wallet balance only.
Added some new hooks in the core for customization.
Resolved other security issues.
```

**= 2.1.0 =**
```
Added compatibility with latest WooCommerce 6.3.x and WordPress 5.9.x.
Added compatibility with our plugin "WooCommerce Ultimate Whatsapp Solution".
Added some new hooks in the core for customization.
Updated license API.
Resolved other security issues.
```

**= 2.0.4 =**
```
Added compatibility with latest WooCommerce 6.0.x.
Added some new hooks in the core for customization.
Resolved the cashback debit issue on order cancelled/refunded.
Resolved other security issues.
```

**= 2.0.3 =**
```
Added some new hooks in the core for customization.
Resolved the partial payment applying issue on no debit limits.
Resolved the getting cashbacks notice.
```

**= 2.0.2 =**
```
Added compatibility with latest WordPress 5.8.x.
Added compatibility with latest WooCommerce 5.5.x.
Added new hooks in the core.
Restrict wallet deduction on only order processing and on-hold.
Fixed wallet topup compatibility issue in some themes.
Fixed other security issues.
```

**= 2.0.1 =**
```
Added compatibility with latest WordPress & WooCommerce versions.
Fixed pending payment wallet debit issue on partial payment.
Fixed OTP expiry issue.
Fixed other security issues.
```

**= 2.0.0 =**
```
Added minimum topup limit.
Added minimum debit limit.
Added minimum transfer limit.
Added minimum withdrawal limit.
Added maximum withdrawal limit.
Added OTP verification feature for all wallet opertions.
Added Referral bonus feature for customers.
Added new icons for all wallet images.
Added compatibility with latest WordPress & WooCommerce versions.
Fixed security issues.
```

**= 1.2.0 =**
```
Added bulk credit/debit users via csv import.
Added export users with wallet data feature.
Added My Accounts page endpoint configuration.
Added compatibility with WordPress 5.7.x.
Added compatibility with WooCommerce 5.1.x.
Fixed security issues.
```

**= 1.1.0 =**
```
Added payment gateways setting for the wallet topup.
Added wallet topup order status option.
Added compatibility with WordPress 5.6.x.
Added compatibility with WooCommerce 4.8.x.
Fixed security issues.
```

**= 1.0.0 =**
```
Initial release
```