<?php
/**
 * Admin ajax hooks class
 *
 * @package WooCommerce Wallet Management
 * @version 1.0.0
 */

namespace DDWCWalletManagement\Includes\Admin;

defined( 'ABSPATH' ) || exit();

if ( ! class_exists( 'DDWCWM_Admin_Ajax_Hooks' ) ) {
	/**
	 * Admin ajax hooks class
	 */
	class DDWCWM_Admin_Ajax_Hooks extends DDWCWM_Admin_Ajax_Functions {
		/**
		 * Construct
		 */
		public function __construct() {
			add_action( 'wp_ajax_ddwcwm_get_users_list', [ $this, 'ddwcwm_get_users_list' ] );
			add_action( 'wp_ajax_ddwcwm_get_products_list', [ $this, 'ddwcwm_get_products_list' ] );
			add_action( 'wp_ajax_ddwcwm_verify_license', [ $this, 'ddwcwm_verify_license' ] );
			add_action( 'wp_ajax_ddwcwm_withdraw_request_action', [ $this, 'ddwcwm_withdraw_request_action' ] );
			add_action( 'wp_ajax_ddwcwm_do_ajax_users_export', [ $this, 'ddwcwm_do_ajax_users_export' ] );
			add_action( 'wp_ajax_ddwcwm_do_ajax_users_import', [ $this, 'ddwcwm_do_ajax_users_import' ] );
		}
	}
}
