<?php
/**
 * Wallet Notification email
 *
 * @package WooCommerce Wallet Management
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit();

do_action( 'woocommerce_email_header', $email_heading, $email );

if ( ! empty( $display_name ) ) {
    /* translators: %s Display name */
    ?>
    <p><?php printf( esc_html__( 'Hi %s,', 'ddwc-wallet-management' ), esc_html( $display_name ) ); ?></p>
    <?php 
} else {
    /* translators: %s Customer email */
    ?>
    <p><?php printf( esc_html__( 'Hi %s,', 'ddwc-wallet-management' ), esc_html( $customer_email ) ); ?></p>
    <?php 
}

if ( ! empty( $email_message ) ) {
    foreach ( $email_message as $key => $message ) {
        ?>
        <p><?php echo wp_kses_post( $message ); ?></p>
        <?php
    }
}

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
    ?>
    <p><?php echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) ); ?></p>
    <?php
}
?>

<p><?php esc_html_e( 'We are looking forward to seeing you again.', 'ddwc-wallet-management' ); ?></p>

<?php
do_action( 'woocommerce_email_footer', $email );